Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class Position

    java.lang.Object
      com.mindbright.terminal.tandem6530.Position

public class Position
extends java.lang.Object

Field Summary
`protected int` | `col`
`protected int` | `row`
`protected boolean` | `wrap`

Constructor Summary
`Position(int row, int col)`
`Position(int row, int col, boolean wrap)`
`Position(Position p)`
`Position(Position p, boolean wrap)`

Method Summary
`int` | `abs(int cols)`
`Position` | `decCol(int rows, int cols)`
`Position` | `decRow(int rows, int cols)`
`boolean` | `equals(java.lang.Object o)`
`int` | `getCol()`
`int` | `getRow()`
`int` | `hashcode()`
`Position` | `incCol(int rows, int cols)`
`Position` | `incRow(int rows, int cols)`
`boolean` | `le(Position other)` Returns true if I'm less than or equal to other
`boolean` | `lt(Position other)` Returns true if I'm less than other
`Position` | `set(int row, int col)`
`Position` | `set(Position p)`
`Position` | `setCol(int col)`
`Position` | `setRow(int row)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### row

    protected int row

### col

    protected int col

### wrap

    protected boolean wrap

Constructor Detail

### Position

    public Position(Position p)

### Position

    public Position(Position p,
                    boolean wrap)

### Position

    public Position(int row,
                    int col)

### Position

    public Position(int row,
                    int col,
                    boolean wrap)

Method Detail

### set

    public Position set(Position p)

### set

    public Position set(int row,
                        int col)

### getRow

    public int getRow()

### setRow

    public Position setRow(int row)

### getCol

    public int getCol()

### setCol

    public Position setCol(int col)

### decCol

    public Position decCol(int rows,
                           int cols)

### incCol

    public Position incCol(int rows,
                           int cols)

### decRow

    public Position decRow(int rows,
                           int cols)

### incRow

    public Position incRow(int rows,
                           int cols)

### lt

    public boolean lt(Position other)

  Returns true if I'm less than other

### le

    public boolean le(Position other)

  Returns true if I'm less than or equal to other

### abs

    public int abs(int cols)

### equals

    public boolean equals(java.lang.Object o)

### hashcode

    public int hashcode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD